org.bouncycastle.jce

## Class ECPointUtil

- java.lang.Object
- - org.bouncycastle.jce.ECPointUtil

    public class ECPointUtil
    extends java.lang.Object

Utility class for handling EC point decoding.

### Constructor Summary

Constructors
Constructor and Description
`ECPointUtil()`

### Method Summary

Methods
`static java.security.spec.ECPoint` `decodePoint(java.security.spec.EllipticCurve curve, byte[] encoded)` Decode a point on this curve which has been encoded using point compression (X9.62 s 4.2.1 and 4.2.2) or regular encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECPointUtil

    public ECPointUtil()

### Method Detail

#### decodePoint

    public static java.security.spec.ECPoint decodePoint(java.security.spec.EllipticCurve curve,
                                         byte[] encoded)

Decode a point on this curve which has been encoded using point compression (X9.62 s 4.2.1 and 4.2.2) or regular encoding.

Parameters:
  `curve` - The elliptic curve.
  `encoded` - The encoded point.
Returns:
  the decoded point.